import com.ibm.uddi.*;
import com.ibm.uddi.datatype.business.*;
import com.ibm.uddi.response.*;
import com.ibm.uddi.client.*;
import org.w3c.dom.Element;
import java.util.Vector;
import java.util.Properties;

public class FindMyBusiness
  {
  public static void main (String args[])
    {
    FindMyBusiness fmb = new FindMyBusiness ();
    fmb.run();
    System.exit(0);
    }

  public void run()
    {
    UDDIProxy proxy = new UDDIProxy();

    try
      {
      proxy.setInquiryURL
        ("http://www-3.ibm.com/services/uddi/testregistry/inquiryapi");
      }
    catch (Exception e)
      {
      e.printStackTrace();
      }
    try
      {
      BusinessList bl = proxy.find_business("T", null, 0);
      Vector businessInfoVector =
        bl.getBusinessInfos().getBusinessInfoVector();
      for (int i = 0; i < businessInfoVector.size(); i++)
        {
        BusinessInfo bi = (BusinessInfo)businessInfoVector.elementAt(i);
        System.out.println(bi.getNameString());
        }
      }
    catch (UDDIException e)
      {
      DispositionReport dr = e.getDispositionReport();
      if (dr!=null)
        {
        System.out.println ("UDDIException" +
          "\n faultCode:" + e.getFaultCode() +
          "\n operator:"    + dr.getOperator() +
          "\n generic:"     + dr.getGeneric() +
          "\n errno:"       + dr.getErrno() +
          "\n errCode:"     + dr.getErrCode() +
          "\n errInfoText:" + dr.getErrInfoText());
        }
      e.printStackTrace();
      }
    catch (Exception e)
      {
      e.printStackTrace();
      }
  }
}
