import com.ibm.uddi.*;
import com.ibm.uddi.datatype.business.*;
import com.ibm.uddi.response.*;
import com.ibm.uddi.client.*;
import org.w3c.dom.Element;
import java.util.Vector;
import java.util.Properties;

public class SaveMyBusiness {
  public static void main (String args[])
    {
    SaveMyBusiness smb = new SaveMyBusiness ();
    smb.run();
    System.exit(0);
    }

  public void run()
    {
    UDDIProxy proxy = new UDDIProxy();

    try
      {
      proxy.setInquiryURL
        ("http://www-3.ibm.com/services/uddi/testregistry/inquiryapi");
      proxy.setPublishURL
        ("https://www-3.ibm.com/services/uddi/testregistry/protect/publishapi");
      }
    catch (Exception e)
      {
      e.printStackTrace();
      }
    try
      {
      System.out.println("\nGet authtoken");
      AuthToken token = proxy.get_authToken( "userid", "password" );
      System.out.println("Returned authToken:" + token.getAuthInfoString());
      System.out.println("\nSave 'My Business'");
      Vector entities = new Vector();
      BusinessEntity be = new BusinessEntity("", "My Business");
      entities.addElement(be);
      BusinessDetail bd =
        proxy.save_business(token.getAuthInfoString(), entities);
      }
    catch (UDDIException e)
      {
      DispositionReport dr = e.getDispositionReport();
      if (dr!=null)
        {
        System.out.println ("UDDIException" +
          "\n faultCode:" + e.getFaultCode() +
          "\n operator:"    + dr.getOperator() +
          "\n generic:"     + dr.getGeneric() +
          "\n errno:"       + dr.getErrno() +
          "\n errCode:"     + dr.getErrCode() +
          "\n errInfoText:" + dr.getErrInfoText());
        }
      e.printStackTrace();
      }
    catch (Exception e)
      {
      e.printStackTrace();
      }
  }
}